Subject: Ticket Assigned - Click & Collect
From: Max <[email-masked]>
To: [email-masked]
Date: Fri, 26 Feb 2021 09:48:54 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect I ordered online on Friday 19th Feb and I choose to pickup from IBN Battuta I thought it will be faster rather then delivery but now its 6 Days passed and i dont receive any call, msg or email, from 2 days im calling on helpline and they are saying ITS READY IN WAREHOUSE AND IT WILL BE AVAILABLE AT STORE SOOOONN!!! TO PICKUP...

I ordered for my anniversary gifts for my wife and you guys just spoiled it. 

Im selling online as well on my eCommerce website in UAE cookware items and I promised my customers to delivery in 24 to 48 hours and i never delay. 

If you don't have team to bring shipments from warehouse to the store so why you put that option on checkout. 

I need my shipment by tomorrow otherwise cancel it and give my money back. 

Thank you, we’ll notify you when your order  9636534672 for Floral Print Midi Belted Dress... +8more items is ready for collection from Max  IBN Battuta Shopping Mall.

Naveed Khan
Mob: +971 55 3450161 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2150228